[![Documentation Status](https://readthedocs.org/projects/viur-core/badge/?version=latest)](https://viur-core.readthedocs.io/en/latest/?badge=latest)

# ViUR Core

This is the core library of **ViUR**, a free software development framework for the [Google App Engine](https://appengine.google.com) written in [Python 3.x](https://python.org/).

## About

ViUR provides a clear concept for implementing agile data management software. Its underlying database is Googles Cloud Datastore, which is a scalable document database.

ViUR framework caters to the implementation of information systems, that are integrated, web-based applications or services performing data management and deployment operations of any kind. Although content management can be a part of any ViUR system — it is not its sole purpose.

## Getting started

To get started with ViUR, check out our [base repository](https://github.com/viur-framework/viur-base). It comes with a recently updated, pre-configured and well documented project template to immediately start with your new project.

We also recommend to visit [viur.dev](https://www.viur.dev) to get the latest news and documentation on ViUR.

## Contributing

We take great interest in your opinion about ViUR. We appreciate your feedback and are looking forward to hear about your ideas. Share your vision or questions with us and participate in ongoing discussions.

- [ViUR website](https://www.viur.dev)
- [ViUR on GitHub](https://github.com/viur-framework)
- [ViUR on Twitter](https://twitter.com/weloveViUR)

## Credits

ViUR is developed and maintained by [Mausbrand Informationssysteme GmbH](https://www.mausbrand.de/en), from Dortmund in Germany. We are a software company consisting of young, enthusiastic software developers, designers and social media experts, working on exciting projects for different kinds of customers. All of our  projects are implemented with ViUR, from tiny web-pages to huge company intranets with hundreds of users.

Help of any kind to extend and improve or enhance this project in any kind or way is always appreciated.

## License

Copyright (C) 2012-2021 by Mausbrand Informationssysteme GmbH.

Mausbrand and ViUR are registered trademarks of Mausbrand Informationssysteme GmbH.

You may use, modify and distribute this software under the terms and conditions of the GNU Lesser General Public License (LGPL). See the file LICENSE provided within this package for more information.
